$32 GRAYBYTE WORDPRESS FILE MANAGER $33

SERVER : in-mum-web1330.main-hosting.eu #1 SMP Mon Feb 10 22:45:17 UTC 2025
SERVER IP : 88.222.222.221 | ADMIN IP 216.73.216.215
OPTIONS : CRL = ON | WGT = ON | SDO = OFF | PKEX = OFF
DEACTIVATED : NONE

/opt/go/pkg/mod/go.opentelemetry.io/otel@v1.14.0/

HOME
Current File : /opt/go/pkg/mod/go.opentelemetry.io/otel@v1.14.0//verify_examples.sh
#!/bin/bash

# Copyright The OpenTelemetry Authors
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

set -euo pipefail

cd $(dirname $0)
TOOLS_DIR=$(pwd)/.tools

if [ -z "${GOPATH}" ] ; then
	printf "GOPATH is not defined.\n"
	exit -1
fi

if [ ! -d "${GOPATH}" ] ; then
	printf "GOPATH ${GOPATH} is invalid \n"
	exit -1
fi

# Pre-requisites
if ! git diff --quiet; then \
	git status
	printf "\n\nError: working tree is not clean\n"
	exit -1
fi

if [ "$(git tag --contains $(git log -1 --pretty=format:"%H"))" = "" ] ; then
	printf "$(git log -1)"
	printf "\n\nError: HEAD is not pointing to a tagged version"
fi

make ${TOOLS_DIR}/gojq

DIR_TMP="${GOPATH}/src/oteltmp/"
rm -rf $DIR_TMP
mkdir -p $DIR_TMP

printf "Copy examples to ${DIR_TMP}\n"
cp -a ./example ${DIR_TMP}

# Update go.mod files
printf "Update go.mod: rename module and remove replace\n"

PACKAGE_DIRS=$(find . -mindepth 2 -type f -name 'go.mod' -exec dirname {} \; | egrep 'example' | sed 's/^\.\///' | sort)

for dir in $PACKAGE_DIRS; do
	printf "  Update go.mod for $dir\n"
	(cd "${DIR_TMP}/${dir}" && \
	 # replaces is ("mod1" "mod2" …)
	 replaces=($(go mod edit -json | ${TOOLS_DIR}/gojq '.Replace[].Old.Path')) && \
	 # strip double quotes
	 replaces=("${replaces[@]%\"}") && \
	 replaces=("${replaces[@]#\"}") && \
	 # make an array (-dropreplace=mod1 -dropreplace=mod2 …)
	 dropreplaces=("${replaces[@]/#/-dropreplace=}") && \
	 go mod edit -module "oteltmp/${dir}" "${dropreplaces[@]}" && \
	 go mod tidy)
done
printf "Update done:\n\n"

# Build directories that contain main package. These directories are different than
# directories that contain go.mod files.
printf "Build examples:\n"
EXAMPLES=$(./get_main_pkgs.sh ./example)
for ex in $EXAMPLES; do
	printf "  Build $ex in ${DIR_TMP}/${ex}\n"
	(cd "${DIR_TMP}/${ex}" && \
	 go build .)
done

# Cleanup
printf "Remove copied files.\n"
rm -rf $DIR_TMP

Current_dir [ NOT WRITEABLE ] Document_root [ WRITEABLE ]


[ Back ]
NAME
SIZE
LAST TOUCH
USER
CAN-I?
FUNCTIONS
..
--
25 Jan 2024 4.43 PM
root / root
0755
.github
--
25 Jan 2024 4.43 PM
root / root
0555
attribute
--
25 Jan 2024 4.43 PM
root / root
0555
baggage
--
25 Jan 2024 4.43 PM
root / root
0555
codes
--
25 Jan 2024 4.43 PM
root / root
0555
exporters
--
25 Jan 2024 4.43 PM
root / root
0555
internal
--
25 Jan 2024 4.43 PM
root / root
0555
propagation
--
25 Jan 2024 4.43 PM
root / root
0555
semconv
--
25 Jan 2024 4.43 PM
root / root
0555
website_docs
--
25 Jan 2024 4.43 PM
root / root
0555
.gitattributes
0.087 KB
25 Jan 2024 4.43 PM
root / root
0444
.gitignore
0.32 KB
25 Jan 2024 4.43 PM
root / root
0444
.gitmodules
0.144 KB
25 Jan 2024 4.43 PM
root / root
0444
.golangci.yml
9.197 KB
25 Jan 2024 4.43 PM
root / root
0444
.lycheeignore
0.291 KB
25 Jan 2024 4.43 PM
root / root
0444
.markdownlint.yaml
0.302 KB
25 Jan 2024 4.43 PM
root / root
0444
CHANGELOG.md
159.072 KB
25 Jan 2024 4.43 PM
root / root
0444
CODEOWNERS
0.529 KB
25 Jan 2024 4.43 PM
root / root
0444
CONTRIBUTING.md
15.818 KB
25 Jan 2024 4.43 PM
root / root
0444
LICENSE
11.091 KB
25 Jan 2024 4.43 PM
root / root
0444
Makefile
7.625 KB
25 Jan 2024 4.43 PM
root / root
0444
README.md
5.29 KB
25 Jan 2024 4.43 PM
root / root
0444
RELEASING.md
4.998 KB
25 Jan 2024 4.43 PM
root / root
0444
VERSIONING.md
10.73 KB
25 Jan 2024 4.43 PM
root / root
0444
doc.go
1.465 KB
25 Jan 2024 4.43 PM
root / root
0444
error_handler.go
1.365 KB
25 Jan 2024 4.43 PM
root / root
0444
get_main_pkgs.sh
1.217 KB
25 Jan 2024 4.43 PM
root / root
0444
go.mod
0.415 KB
25 Jan 2024 4.43 PM
root / root
0444
go.sum
2.052 KB
25 Jan 2024 4.43 PM
root / root
0444
handler.go
2.969 KB
25 Jan 2024 4.43 PM
root / root
0444
handler_test.go
5.238 KB
25 Jan 2024 4.43 PM
root / root
0444
internal_logging.go
0.847 KB
25 Jan 2024 4.43 PM
root / root
0444
internal_logging_test.go
0.806 KB
25 Jan 2024 4.43 PM
root / root
0444
propagation.go
1.128 KB
25 Jan 2024 4.43 PM
root / root
0444
trace.go
1.58 KB
25 Jan 2024 4.43 PM
root / root
0444
trace_test.go
1.127 KB
25 Jan 2024 4.43 PM
root / root
0444
verify_examples.sh
2.325 KB
25 Jan 2024 4.43 PM
root / root
0444
version.go
0.741 KB
25 Jan 2024 4.43 PM
root / root
0444
version_test.go
1.078 KB
25 Jan 2024 4.43 PM
root / root
0444
versions.yaml
2.416 KB
25 Jan 2024 4.43 PM
root / root
0444

GRAYBYTE WORDPRESS FILE MANAGER @ 2026 CONTACT ME
Static GIF